- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- EventsInlineSource
Full name: projects.locations.instances.events.import
events.import import the events. Note that, All events need to be valid for the request to be successful. An error in one entity will cause the entire request to be rejected.
HTTP request
POST https://{endpoint}/v1beta/{parent}/events:import
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of events. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"inlineSource": {
object ( |
| Fields | |
|---|---|
| The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
inlineSource |
Required. Events to be imported are specified inline. |
| End of mutually exclusive fields. | |
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.events.import
For more information, see the IAM documentation.
EventsInlineSource
An import source with the events to import included inline.
| JSON representation |
|---|
{
"events": [
{
object ( |
| Fields | |
|---|---|
events[] |
Required. The events being imported. |